Skip to main content
Version: 10.1

Switchover Resource

Description​

This resource is to trigger a switchover for a cluster rWeb between primary and secondary mode.

POST /setup/cluster/switchover​

POST Response Values​

NameTypeDescription
command_resourceJSON StringThe relevant command resource for checking the status of this command.
commandJSON StringThe issued command, "switchover".
statusJSON StringThe status of the command. When first posted, this will be "request".
finishedJSON BooleanWhether or not the command has finished processing.
failedJSON BooleanWhether or not the command has failed.

Example POST Request​

 POST /setup/cluster/switchover

Example POST Response​

 {
"command_resource": "/commands/4",
"command": "switchover",
"status": "request",
"finished": false,
"failed": false
}